Bug 995226 - (kde-dev-utils) Review Request: kde-dev-utils - Utilities for developers using KDE
Review Request: kde-dev-utils - Utilities for developers using KDE
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Mashal
Fedora Extras Quality Assurance
:
Depends On:
Blocks: kde-reviews kde-4.11
  Show dependency treegraph
 
Reported: 2013-08-08 15:15 EDT by Jan Grulich
Modified: 2013-09-15 19:05 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-26 13:46:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dan.mashal: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jan Grulich 2013-08-08 15:15:25 EDT
Spec URL: http://jgrulich.fedorapeople.org/kde-dev-utils.spec
SRPM URL: http://jgrulich.fedorapeople.org/kde-dev-utils-4.10.97-1.fc19.src.rpm
Description: Small utilities for developers using KDE/Qt libs/frameworks
Fedora Account System Username: jgrulich

Successful build: http://koji.fedoraproject.org/koji/taskinfo?taskID=5795513

This package was previously part of kdesdk. Now it's distributed separately in KDE 4.11.
Comment 1 Dan Mashal 2013-08-17 19:44:11 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- update-desktop-database is invoked when required
  Note: desktop file(s) in kde-dev-utils-kuiviewer
  See: http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Icon_Cache
- Package installs a %{name}.desktop using desktop-file-install if there is
  such a file.
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#desktop


===== MUST items =====

C/C++:
[ ]: Package does not contain kernel modules.
[ ]: Package contains no static executables.
[ ]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[ ]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[ ]: %build honors applicable compiler flags or justifies otherwise.
[ ]: Package contains no bundled libraries without FPC exception.
[ ]: Changelog in prescribed format.
[ ]: Sources contain only permissible code or content.
[ ]: Development files must be in a -devel package
[ ]: Package requires other packages for directories it uses.
[ ]: Package uses nothing in %doc for runtime.
[ ]: Package is not known to require ExcludeArch.
[ ]: Fully versioned dependency in subpackages, if present.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in kde-dev-
     utils-devel , kde-dev-utils-kmtrace , kde-dev-utils-kmtrace-libs , kde-
     dev-utils-kmtrace-devel , kde-dev-utils-kpartloader , kde-dev-utils-
     kstartperf , kde-dev-utils-kuiviewer
[ ]: Package complies to the Packaging Guidelines
[ ]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "LGPL (v2)", "LGPL", "LGPL (v2 or later)", "Unknown or generated". 10
     files have unknown license. Detailed output of licensecheck in
     /home/dan/995226-kde-dev-utils/licensecheck.txt
[ ]: License file installed when any subpackage combination is installed.
[ ]: Package consistently uses macro is (instead of hard-coded directory
     names).
[ ]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[ ]: Package is named according to the Package Naming Guidelines.
[ ]: Package does not generate any conflict.
[ ]: Package obeys FHS, except libexecdir and /usr/target.
[ ]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[ ]: Package must own all directories that it creates.
[ ]: Package does not own files or directories owned by other packages.
[ ]: Requires correct, justified where necessary.
[ ]: Spec file is legible and written in American English.
[ ]: Package contains systemd file(s) if in need.
[ ]: gtk-update-icon-cache is invoked when required
     Note: icons in kde-dev-utils-kuiviewer
[ ]: Useful -debuginfo package or justification otherwise.
[ ]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 51200 bytes in 3 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

===== SHOULD items =====

Generic:
[ ]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[ ]: Final provides and requires are sane (see attachments).
[ ]: Package functions as described.
[ ]: Latest version is packaged.
[ ]: Package does not include license text files separate from upstream.
[ ]: Scriptlets must be sane, if used.
[ ]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: Package should compile and build into binary rpms on all supported
     architectures.
[ ]: %check is present and all tests pass.
[ ]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: kde-dev-utils-4.10.97-1.fc20.x86_64.rpm
          kde-dev-utils-devel-4.10.97-1.fc20.x86_64.rpm
          kde-dev-utils-kmtrace-4.10.97-1.fc20.x86_64.rpm
          kde-dev-utils-kmtrace-libs-4.10.97-1.fc20.x86_64.rpm
          kde-dev-utils-kmtrace-devel-4.10.97-1.fc20.x86_64.rpm
          kde-dev-utils-kpartloader-4.10.97-1.fc20.x86_64.rpm
          kde-dev-utils-kstartperf-4.10.97-1.fc20.x86_64.rpm
          kde-dev-utils-kuiviewer-4.10.97-1.fc20.x86_64.rpm
kde-dev-utils.x86_64: W: spelling-error %description -l en_US libs -> lobs, lib, lbs
kde-dev-utils.x86_64: E: no-binary
kde-dev-utils-devel.x86_64: W: no-documentation
kde-dev-utils-kmtrace.x86_64: W: spelling-error Summary(en_US) malloc -> mallow
kde-dev-utils-kmtrace.x86_64: W: spelling-error Summary(en_US) glibc's -> glibness's
kde-dev-utils-kmtrace.x86_64: W: spelling-error Summary(en_US) mtrace -> trace, m trace, mt race
kde-dev-utils-kmtrace.x86_64: W: spelling-error %description -l en_US malloc -> mallow
kde-dev-utils-kmtrace.x86_64: W: spelling-error %description -l en_US glibc's -> glibness's
kde-dev-utils-kmtrace.x86_64: W: spelling-error %description -l en_US mtrace -> trace, m trace, mt race
kde-dev-utils-kmtrace.x86_64: W: no-manual-page-for-binary kmtrace
kde-dev-utils-kmtrace.x86_64: W: no-manual-page-for-binary kmmatch
kde-dev-utils-kmtrace.x86_64: W: no-manual-page-for-binary kminspector
kde-dev-utils-kmtrace-libs.x86_64: W: spelling-error Summary(en_US) Runtime -> Run time, Run-time, Rudiment
kde-dev-utils-kmtrace-libs.x86_64: W: spelling-error %description -l en_US Runtime -> Run time, Run-time, Rudiment
kde-dev-utils-kmtrace-libs.x86_64: W: no-documentation
kde-dev-utils-kmtrace-devel.x86_64: W: no-documentation
kde-dev-utils-kpartloader.x86_64: W: spelling-error Summary(en_US) KPart -> K Part, Kmart, KP art
kde-dev-utils-kpartloader.x86_64: W: spelling-error %description -l en_US KPart -> K Part, Kmart, KP art
kde-dev-utils-kpartloader.x86_64: W: no-documentation
kde-dev-utils-kpartloader.x86_64: W: no-manual-page-for-binary kpartloader
kde-dev-utils-kstartperf.x86_64: W: spelling-error Summary(en_US) Startup -> Start up, Start-up, Upstart
kde-dev-utils-kstartperf.x86_64: W: spelling-error %description -l en_US Startup -> Start up, Start-up, Upstart
kde-dev-utils-kstartperf.x86_64: W: no-manual-page-for-binary kstartperf
kde-dev-utils-kuiviewer.x86_64: W: no-documentation
kde-dev-utils-kuiviewer.x86_64: W: no-manual-page-for-binary kuiviewer
8 packages and 0 specfiles checked; 1 errors, 24 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint kde-dev-utils-kmtrace kde-dev-utils-kuiviewer kde-dev- 
utils-kstartperf kde-dev-utils-kpartloader kde-dev-utils-devel kde-dev-utils-km 
trace-libs kde-dev-utils kde-dev-utils-kmtrace-devel
kde-dev-utils-kmtrace.x86_64: W: spelling-error Summary(en_US) malloc -> mallow
kde-dev-utils-kmtrace.x86_64: W: spelling-error Summary(en_US) glibc's -> glibness's
kde-dev-utils-kmtrace.x86_64: W: spelling-error Summary(en_US) mtrace -> trace, m trace, mt race
kde-dev-utils-kmtrace.x86_64: W: spelling-error %description -l en_US malloc -> mallow
kde-dev-utils-kmtrace.x86_64: W: spelling-error %description -l en_US glibc's -> glibness's
kde-dev-utils-kmtrace.x86_64: W: spelling-error %description -l en_US mtrace -> trace, m trace, mt race
kde-dev-utils-kmtrace.x86_64: W: no-manual-page-for-binary kmtrace
kde-dev-utils-kmtrace.x86_64: W: no-manual-page-for-binary kmmatch
kde-dev-utils-kmtrace.x86_64: W: no-manual-page-for-binary kminspector
kde-dev-utils-kuiviewer.x86_64: W: no-documentation
kde-dev-utils-kuiviewer.x86_64: W: no-manual-page-for-binary kuiviewer
kde-dev-utils-kstartperf.x86_64: W: spelling-error Summary(en_US) Startup -> Start up, Start-up, Upstart
kde-dev-utils-kstartperf.x86_64: W: spelling-error %description -l en_US Startup -> Start up, Start-up, Upstart
kde-dev-utils-kstartperf.x86_64: W: no-manual-page-for-binary kstartperf
kde-dev-utils-kpartloader.x86_64: W: spelling-error Summary(en_US) KPart -> K Part, Kmart, KP art
kde-dev-utils-kpartloader.x86_64: W: spelling-error %description -l en_US KPart -> K Part, Kmart, KP art
kde-dev-utils-kpartloader.x86_64: W: no-documentation
kde-dev-utils-kpartloader.x86_64: W: no-manual-page-for-binary kpartloader
kde-dev-utils-devel.x86_64: W: no-documentation
kde-dev-utils-kmtrace-libs.x86_64: W: spelling-error Summary(en_US) Runtime -> Run time, Run-time, Rudiment
kde-dev-utils-kmtrace-libs.x86_64: W: spelling-error %description -l en_US Runtime -> Run time, Run-time, Rudiment
kde-dev-utils-kmtrace-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libktrace.so.4.11.0 /lib64/libstdc++.so.6
kde-dev-utils-kmtrace-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libktrace.so.4.11.0 /lib64/libm.so.6
kde-dev-utils-kmtrace-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libktrace.so.4.11.0 /lib64/libgcc_s.so.1
kde-dev-utils-kmtrace-libs.x86_64: W: no-documentation
kde-dev-utils.x86_64: W: spelling-error %description -l en_US libs -> lobs, lib, lbs
kde-dev-utils.x86_64: E: no-binary
kde-dev-utils-kmtrace-devel.x86_64: W: no-documentation
8 packages and 0 specfiles checked; 1 errors, 27 warnings.
# echo 'rpmlint-done:'



Requires
--------
kde-dev-utils-kmtrace (rpmlib, GLIBC filtered):
    /bin/sh
    kde-dev-utils-kmtrace-libs(x86-64)
    libQt3Support.so.4()(64bit)
    libQtCore.so.4()(64bit)
    libQtDBus.so.4()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libkdecore.so.5()(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)

kde-dev-utils-kuiviewer (rpmlib, GLIBC filtered):
    /bin/sh
    libQtCore.so.4()(64bit)
    libQtDBus.so.4()(64bit)
    libQtDesigner.so.4()(64bit)
    libQtGui.so.4()(64bit)
    libQtNetwork.so.4()(64bit)
    libQtSvg.so.4()(64bit)
    libQtXml.so.4()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libkdecore.so.5()(64bit)
    libkdeui.so.5()(64bit)
    libkio.so.5()(64bit)
    libkparts.so.4()(64bit)
    libm.so.6()(64bit)
    libnepomuk.so.4()(64bit)
    libnepomukutils.so.4()(64bit)
    libpthread.so.0()(64bit)
    libsoprano.so.4()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)

kde-dev-utils-kstartperf (rpmlib, GLIBC filtered):
    libQtCore.so.4()(64bit)
    libQtDBus.so.4()(64bit)
    libc.so.6()(64bit)
    libdl.so.2()(64bit)
    libgcc_s.so.1()(64bit)
    libkdecore.so.5()(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libstdc++.so.6()(64bit)
    rtld(GNU_HASH)

kde-dev-utils-kpartloader (rpmlib, GLIBC filtered):
    libQtCore.so.4()(64bit)
    libQtDBus.so.4()(64bit)
    libQtGui.so.4()(64bit)
    libQtNetwork.so.4()(64bit)
    libQtSvg.so.4()(64bit)
    libQtXml.so.4()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libkdecore.so.5()(64bit)
    libkdeui.so.5()(64bit)
    libkio.so.5()(64bit)
    libkparts.so.4()(64bit)
    libm.so.6()(64bit)
    libnepomuk.so.4()(64bit)
    libnepomukutils.so.4()(64bit)
    libpthread.so.0()(64bit)
    libsoprano.so.4()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)

kde-dev-utils-devel (rpmlib, GLIBC filtered):
    kde-dev-utils-kmtrace-devel

kde-dev-utils-kmtrace-libs (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    kde-dev-utils-kmtrace
    libc.so.6()(64bit)
    libdl.so.2()(64bit)
    libgcc_s.so.1()(64bit)
    libm.so.6()(64bit)
    libstdc++.so.6()(64bit)
    rtld(GNU_HASH)

kde-dev-utils (rpmlib, GLIBC filtered):
    kde-dev-utils-kmtrace
    kde-dev-utils-kpartloader
    kde-dev-utils-kstartperf
    kde-dev-utils-kuiviewer

kde-dev-utils-kmtrace-devel (rpmlib, GLIBC filtered):
    kde-dev-utils-kmtrace-libs(x86-64)
    libktrace.so.4()(64bit)



Provides
--------
kde-dev-utils-kmtrace:
    kde-dev-utils-kmtrace
    kde-dev-utils-kmtrace(x86-64)
    kdesdk-kmtrace

kde-dev-utils-kuiviewer:
    kde-dev-utils-kuiviewer
    kde-dev-utils-kuiviewer(x86-64)
    kdesdk-kuiviewer
    mimehandler(application/x-designer)

kde-dev-utils-kstartperf:
    kde-dev-utils-kstartperf
    kde-dev-utils-kstartperf(x86-64)
    kdesdk-kstartperf

kde-dev-utils-kpartloader:
    kde-dev-utils-kpartloader
    kde-dev-utils-kpartloader(x86-64)
    kdesdk-kpartloader

kde-dev-utils-devel:
    kde-dev-utils-devel
    kde-dev-utils-devel(x86-64)
    kdesdk-devel

kde-dev-utils-kmtrace-libs:
    kde-dev-utils-kmtrace-libs
    kde-dev-utils-kmtrace-libs(x86-64)
    kdesdk-kmtrace-libs
    libktrace.so.4()(64bit)

kde-dev-utils:
    kde-dev-utils
    kde-dev-utils(x86-64)

kde-dev-utils-kmtrace-devel:
    kde-dev-utils-kmtrace-devel
    kde-dev-utils-kmtrace-devel(x86-64)
    kdesdk-kmtrace-devel



Unversioned so-files
--------------------
kde-dev-utils-kstartperf: /usr/lib64/kde4/kstartperf.so
kde-dev-utils-kuiviewer: /usr/lib64/kde4/kuiviewerpart.so
kde-dev-utils-kuiviewer: /usr/lib64/kde4/quithumbnail.so

Source checksums
----------------
http://download.kde.org/unstable/4.10.97/src/kde-dev-utils-4.10.97.tar.xz :
  CHECKSUM(SHA256) this package     : d34585085666de9c5670052e40564a59140d8898af0e4ccdcfe3db191eb0a1ae
  CHECKSUM(SHA256) upstream package : d34585085666de9c5670052e40564a59140d8898af0e4ccdcfe3db191eb0a1ae


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 995226
Comment 2 Dan Mashal 2013-08-17 19:44:57 EDT
Please see issues on top.. (i.e. add desktop-file-validate)
Comment 3 Jan Grulich 2013-08-19 11:13:10 EDT
Updated:
Spec URL: http://jgrulich.fedorapeople.org/kde-dev-utils.spec
SRPM URL: http://jgrulich.fedorapeople.org/kde-dev-utils-4.10.97-1.fc19.src.rpm

I was trying to fix [1] issue, but it looks it's false positive, no idea why it's still detected as an issue.

[1]- update-desktop-database is invoked when required
  Note: desktop file(s) in kde-dev-utils-kuiviewer
  See: http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Icon_Cache
Comment 4 Dan Mashal 2013-08-26 12:39:43 EDT
approved
Comment 5 Jan Grulich 2013-08-26 12:41:56 EDT
New Package SCM Request
=======================
Package Name: kde-dev-utils
Short Description: Utilities for developers using KDE
Owners: than rdieter kkofler ltinkl jgrulich
Branches: f18 f19 f20
InitialCC:
Comment 6 Gwyn Ciesla 2013-08-26 13:05:56 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.